---
document: modulemd-defaults
version: 1
data:
  module: maven
  profiles:
    3.8: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: nodejs
  profiles:
    18: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: ruby
  profiles:
    3.1: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: php
  profiles:
    8.1: [common]
...
---
document: modulemd-defaults
version: 1
data:
  module: nginx
  profiles:
    1.22: [common]
...
---
document: modulemd
version: 2
data:
  name: test-module
  stream: 1.0
  version: 906969420420 
  context: 69694200
  arch: noarch
  license:
    module:
    - MIT
  summary: Test module
  description: Current createrepo_c requires not empty module index. This 
    not existing module is fix for broken automatic gaia pipelines (broken because createrepo_c is so smart
    that Elon Tusk want it) and will be removed.
  dependencies:
  - buildrequires:
      platform:
      - el9
    requires:
      platform:
      - el9
  components:
    rpms:
      test-package:
        rationale: Not existing component of this module.
        ref: abcdeabcdeabceabcdeabcdeabcdeabcdeabcdea
  api:
    rpms:
    - test-rpm-package
  buildopts:
    rpms:
      macros: '%_with_ignore_tests 1
               %_with_smile_if_you_read_that 1
        '
  references:
    community: https://example.com
    documentation: https://example.com
    tracker: https://example.com
  profiles:
    default:
      rpms:
      - test-package
  artifacts:
    rpms:
    - test-package-0:6.9-420.module+el9.0.0+6969+aaaaa.noarch
...
---
data:
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  arch: i686
  artifacts:
    rpms:
    - ruby-libs-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-libs-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-debugsource-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - ruby-doc-0:3.1.2-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rbs-0:2.1.0-141.module+el9.1.0+15737+76195479.i686
    - ruby-devel-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rdoc-0:6.4.0-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-bundler-0:2.3.7-141.module+el9.1.0+15737+76195479.noarch
    - rubygems-0:3.3.7-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rss-0:0.2.9-141.module+el9.1.0+15737+76195479.noarch
    - ruby-bundled-gems-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-bigdecimal-debuginfo-0:3.1.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rexml-0:3.2.5-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-test-unit-0:3.5.3-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-typeprof-0:0.21.2-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-minitest-0:5.15.0-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-rbs-debuginfo-0:2.1.0-141.module+el9.1.0+15737+76195479.i686
    - rubygem-rake-0:13.0.6-141.module+el9.1.0+15737+76195479.noarch
    - rubygem-json-debuginfo-0:2.6.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-irb-0:1.4.1-141.module+el9.1.0+15737+76195479.noarch
    - ruby-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-bigdecimal-0:3.1.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-psych-0:4.0.3-141.module+el9.1.0+15737+76195479.i686
    - rubygem-json-0:2.6.1-141.module+el9.1.0+15737+76195479.i686
    - rubygem-psych-debuginfo-0:4.0.3-141.module+el9.1.0+15737+76195479.i686
    - ruby-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-io-console-debuginfo-0:0.5.11-141.module+el9.1.0+15737+76195479.i686
    - ruby-default-gems-0:3.1.2-141.module+el9.1.0+15737+76195479.noarch
    - ruby-bundled-gems-debuginfo-0:3.1.2-141.module+el9.1.0+15737+76195479.i686
    - rubygem-io-console-0:0.5.11-141.module+el9.1.0+15737+76195479.i686
    - rubygem-power_assert-0:2.0.1-141.module+el9.1.0+15737+76195479.noarch
    - rubygems-devel-0:3.3.7-141.module+el9.1.0+15737+76195479.noarch
  components:
    rpms:
      ruby:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '101'
        multilib:
        - x86_64
        rationale: An interpreter of object-oriented scripting language
        ref: stream-ruby-3.1-rhel-9.1.0
      rubygem-mysql2:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: stream-ruby-3.1-rhel-9.1.0
      rubygem-pg:
        arches:
        - aarch64
        - i686
        - ppc64le
        - s390x
        - x86_64
        buildorder: '102'
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: stream-ruby-3.1-rhel-9.1.0
  context: '9'
  dependencies:
  - buildrequires:
      platform:
      - el9.1.0
    requires:
      platform:
      - el9
  description: Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    content:
    - (BSD or Ruby) and PostgreSQL
    - (Ruby or BSD) and (Ruby or BSD or Python) and (Ruby or BSD or LGPLv2+)
    - (Ruby or BSD) and Public Domain and MIT and CC0 and zlib and UCD
    - (Ruby or GPLv2) and UCD
    - BSD
    - GPLv2 and Ruby and MIT and OFL
    - MIT
    - Ruby or BSD
    - Ruby or MIT
    module:
    - MIT
  name: ruby
  profiles:
    common:
      rpms:
      - ruby
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  stream: '3.1'
  summary: An interpreter of object-oriented scripting language
  version: '9010020220623124214'
document: modulemd
version: 2
...
